summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild')
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index 3f7b39992..c15e590dd 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -137,7 +137,7 @@ if [ -r /root/google-api-key ]; then
GOOGLE_API_KEY="--with-google-api-keyfile=/root/google-api-key"
fi
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
rm -rf $PKG
mkdir -p $TMP $PKG/usr/lib${LIBDIRSUFFIX}
@@ -166,6 +166,9 @@ zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
zcat $CWD/80754eac3809.gz | patch -p1 --verbose || exit 1
)
+# Fix build when using Rust 1.29.0:
+zcat $CWD/mozilla.rust_1_29_0.patch.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"